Name:           qarte
Version:        3.5.0
Release:        %mkrel 1
License:        GPLv3
Url:            https://launchpad.net/qarte
Source0:        http://oqapy.eu/releases/%{name}-%{version}.tar.gz
Group:          Video/Utilities
Summary:        A browser for the arte.tv website
Requires:       python-notify
Requires:       python3-qt5
Requires:       python3-sip
Requires:       rtmpdump
BuildArch:      noarch

%description
Qarte lets you browse the archives of arte+7 & arteLiveWeb sites, and record
your favourite programs.

%prep
%setup -q 

%build

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/%{name}
cp -a *.py* medias gui \
      %{buildroot}%{_datadir}/%{name}

install -D -m 644 q_arte.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

install -D -m 644 locale/de/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
install -D -m 644 locale/pt/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/locale/pt/LC_MESSAGES/%{name}.mo

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Oct 27 2016 zezinho <zezinho> 3.5.0-1.mga5
+ Revision: 1063755
- new version 3.5.0 #19671
- update to new version 3.4.0 to fix video listing #19558
- new version to fix #17774
- new version to fix #17630
- new version 2.6.0 #17145
- upgrade to 2.5.0 to fix #17058

* Fri Apr 24 2015 akien <akien> 2.3.0-1.mga5
+ Revision: 820695
- Version 2.3.0
- Requires python-notify for some features

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 738926
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 688462
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 zezinho <zezinho> 2.2.0-1.mga5
+ Revision: 674521
- new version

* Tue May 13 2014 zezinho <zezinho> 2.0.2-1.mga5
+ Revision: 622440
- new version 2.0.2

* Mon May 12 2014 zezinho <zezinho> 2.0.1-1.mga5
+ Revision: 622210
- new version 2.0.1

* Mon May 12 2014 zezinho <zezinho> 2.0.0-1.mga5
+ Revision: 622119
- new version 2.0.0
- new version 2.0.0

* Mon Jan 27 2014 zezinho <zezinho> 1.9.0-1.mga4
+ Revision: 568391
- new version fixes the crash on quit bug

* Tue Oct 22 2013 umeabot <umeabot> 1.8.5-4.mga4
+ Revision: 546102
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 zezinho <zezinho> 1.8.5-3.mga4
+ Revision: 520908
- fix l10n

* Thu Oct 17 2013 zezinho <zezinho> 1.8.5-2.mga4
+ Revision: 502167
- add manpage
- fix requires

* Wed Oct 16 2013 zezinho <zezinho> 1.8.5-1.mga4
+ Revision: 501750
- fix desktop file
- imported package qarte

